### Class

# Shumate Tile

since: 1.0

#### Description [src]

    final class Shumate.Tile : GObject.Object
    {
      /* No available fields */
    }

An object that represents map tiles. Tiles are loaded by a `ShumateMapSource`.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### shumate_tile_new

Creates an instance of `ShumateTile`.

since: 1.0

###### shumate_tile_new_full

Creates an instance of `ShumateTile`.

since: 1.0

#### Instance methods

###### shumate_tile_get_fade_in

Checks whether the tile should fade in.

since: 1.0

###### shumate_tile_get_paintable

Get the `GdkPaintable` representing this tile.

since: 1.0

###### shumate_tile_get_scale_factor

Gets the scale factor of the tile.

since: 1.1

###### shumate_tile_get_size

Gets the tile’s size.

since: 1.0

###### shumate_tile_get_state

Gets the current state of tile loading.

since: 1.0

###### shumate_tile_get_x

Gets the tile’s x position.

since: 1.0

###### shumate_tile_get_y

Gets the tile’s y position.

since: 1.0

###### shumate_tile_get_zoom_level

Gets the tile’s zoom level.

since: 1.0

###### shumate_tile_set_fade_in

Sets the flag determining whether the tile should fade in when loading.

since: 1.0

###### shumate_tile_set_paintable

Sets the `GdkPaintable` representing this tile.

since: 1.0

###### shumate_tile_set_scale_factor

Sets the scale factor of the tile.

since: 1.1

###### shumate_tile_set_size

Sets the tile’s size.

since: 1.0

###### shumate_tile_set_state

Sets the tile’s `ShumateState`.

since: 1.0

###### shumate_tile_set_x

Sets the tile’s x position.

since: 1.0

###### shumate_tile_set_y

Sets the tile’s y position.

since: 1.0

###### shumate_tile_set_zoom_level

Sets the tile’s zoom level.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Shumate.Tile:fade-in

Specifies whether the tile should fade in when loading.

since: 1.0

###### Shumate.Tile:paintable

The `GdkPaintable` backing the tile.

since: 1.0

###### Shumate.Tile:scale-factor

The scale factor of the widget the tile will be displayed in.

since: 1.1

###### Shumate.Tile:size

The size of the tile in pixels.

since: 1.0

###### Shumate.Tile:state

The state of the tile.

since: 1.0

###### Shumate.Tile:x

The x position of the tile.

since: 1.0

###### Shumate.Tile:y

The y position of the tile.

since: 1.0

###### Shumate.Tile:zoom-level

The zoom level of the tile.

since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct ShumateTileClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.